hpp-corbaserver: _objref_CollisionValidation Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_CollisionValidation Class Reference

`#include <hpp/core_idl/path_validations-idl.hh>`

Inheritance diagram for _objref_CollisionValidation:
[legend]
Collaboration diagram for _objref_CollisionValidation:
[legend]

## Public Member Functions
void | setSecurityMargins (const ::hpp::floatSeqSeq &margins)
void | setSecurityMarginBetweenBodies (const char *body_a, const char *body_b, ::hpp::value_type margin)
void | filterCollisionPairs (const ::hpp::core_idl::RelativeMotionMatrix &relMotion)
| _objref_CollisionValidation ()
| _objref_CollisionValidation (omniIOR *, omniIdentity *)
Public Member Functions inherited from _objref_ConfigValidation
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
::CORBA::Boolean | validate (const ::hpp::floatSeq &config, ::hpp::core_idl::ValidationReport_out report)
| _objref_ConfigValidation ()
| _objref_ConfigValidation (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_CollisionValidation ()
Protected Member Functions inherited from _objref_ConfigValidation
virtual | ~_objref_ConfigValidation ()

## Friends
class | CollisionValidation

## Constructor & Destructor Documentation

## ◆ _objref_CollisionValidation() [1/2]

_objref_CollisionValidation::_objref_CollisionValidation | ( |  | ) |
| inline

## ◆ _objref_CollisionValidation() [2/2]

_objref_CollisionValidation::_objref_CollisionValidation | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_CollisionValidation()

virtual _objref_CollisionValidation::~_objref_CollisionValidation | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ filterCollisionPairs()

void _objref_CollisionValidation::filterCollisionPairs | ( | const ::hpp::core_idl::RelativeMotionMatrix & | relMotion | ) |

## ◆ setSecurityMarginBetweenBodies()

void _objref_CollisionValidation::setSecurityMarginBetweenBodies | ( | const char * | body_a,
|  | const char * | body_b,
|  | ::hpp::value_type | margin
| ) |  |

## ◆ setSecurityMargins()

void _objref_CollisionValidation::setSecurityMargins | ( | const ::hpp::floatSeqSeq & | margins | ) |

## Friends And Related Symbol Documentation

## ◆ CollisionValidation

friend class CollisionValidation
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_validations-idl.hh